Package com.independentsoft.calc.engine

# Enum Class DateSystemKind

java.lang.Object
java.lang.Enum<DateSystemKind>
com.independentsoft.calc.engine.DateSystemKind

All Implemented Interfaces:
  `Serializable`, `Comparable<DateSystemKind>`, `Constable`

public enum DateSystemKind extends Enum<DateSystemKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Excel1900`
  `Excel1904`
  `OdfEpoch`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DateSystemKind`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DateSystemKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Excel1900

    public static final DateSystemKind Excel1900

  - ### Excel1904

    public static final DateSystemKind Excel1904

  - ### OdfEpoch

    public static final DateSystemKind OdfEpoch

- ## Method Details

  - ### values

    public static DateSystemKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DateSystemKind valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null